Bug 208670 - Imageable Area still ignored
Imageable Area still ignored
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-printer (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 19:38 EDT by Mark Wagner
Modified: 2009-01-22 10:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 10:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wagner 2006-09-29 19:38:43 EDT
Description of problem:

As reported in #134260, the Imageable Area seetings in system-config-printer are
still ignored.

Version-Release number of selected component (if applicable):

system-config-printer-0.6.116.5-1
Red Hat Enterprise Linux AS release 4 (Nahant Update 3)

How reproducible:

Always. Set Imageable Area in system-config-print and then examine the printer's
PPD file in /etc/cups/ppd.

Steps to Reproduce:

1. In system-config-printer set up a queue, say N2-215-HP-LJ4100.

2. Under the "Queue Options" tab and "Imageable Area" group set all margins to 36.

3. Select OK, then Apply, then Exit.

4. grep "ImageableArea Letter/US" /etc/cups/ppd/N2-215-HP-LJ4100.ppd

Actual results:

*ImageableArea Letter/US Letter: "0 0 612 792"

Expected results:

*ImageableArea Letter/US Letter: "36 36 576 756"

Additional info:

Please suggest a work-around if there is no fix.
Comment 1 Tim Waugh 2008-01-10 07:04:45 EST
This part of util/backend.py contains an error:

   489      for i in range (n, len (ppd)):
   490          if ppd[i].startswith ("*ImageableArea %s/" % size):
   491              try:
   492                  border = ppd[i].split ('"')[1].split (" ")
   493                  if border.find ('.') != -1:
   494                      border = border[:border.index ('.')]
   495              except:
   496                  return ppd

Lines 493-494 are trying to operate on border as though it were a string when it
is a list of strings.  The operation should iterate over the list.  An exception
is caused and the function returns.
Comment 2 RHEL Product and Program Management 2008-02-01 14:12:03 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2009-01-22 10:39:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0022.html

Note You need to log in before you can comment on or make changes to this bug.